---
type: api
title: Get an alert by identifier
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-legacygetalert
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-legacygetalert
products:
  - Kibana
---

# Get an alert by identifier

deprecated

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/alerts/alert/{alertId}`
- `GET` `/s/{space_id}/api/alerts/alert/{alertId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `alertId` (string)
  The identifier for the alert.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Deprecated in 7.13.0. Use the get rule API instead.

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `actions` ([] object)
- `alertTypeId` (string)
- `apiKeyOwner` (string) — nullable
- `createdAt` (string)
  The date and time that the alert was created.
- `createdBy` (string)
  The identifier for the user that created the alert.
- `enabled` (boolean)
  Indicates whether the alert is currently enabled.
- `executionStatus` (object)
  - `lastExecutionDate` (string)
  - `status` (string)
- `id` (string)
  The identifier for the alert.
- `muteAll` (boolean)
- `mutedInstanceIds` ([] string) — nullable
- `name` (string)
  The name of the alert.
- `notifyWhen` (string)
- `params` (object)
- `schedule` (object)
  - `interval` (string)
- `scheduledTaskId` (string)
- `tags` ([] string)
- `throttle` (string) — nullable
- `updatedAt` (string)
- `updatedBy` (string) — nullable
  The identifier for the user that updated this alert most recently.
#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (enum)
  Values: `Unauthorized`
- `message` (string)
- `statusCode` (enum)
  Values: `401`
## Code Examples

#### Console

```console
GET /api/alerts/alert/{alertId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/alerts/alert/{alertId}"
```

